#!/usr/bin/perl

# Ouverture du fichier en lecture
open (XML1, "<:encoding(UTF8)", $ARGV[0]) or die ("Impossible d'ouvrir le XML1 : $!\n");
open (XML2, "<:encoding(UTF8)", $ARGV[1]) or die ("Impossible d'ouvrir le XML2 : $!\n");

my $DUMP = '<?xml version="1.0" encoding="UTF-8"?>
<?xml-stylesheet type="text/xsl" href="style-entitesAPI.xsl"?>
<resultats>';

$DUMP .= "\n<methode nom='Alchemy'>\n";
while (my $ligne = <XML1>) {
	unless ($ligne =~ /^\s*(<\?xml|<results>|<status>|<usage>|<url>|<language>|<\/results>)/) {
		$DUMP .= $ligne;
	}
}
close(XML1);

$DUMP .= "</methode>\n<methode nom='Alchemy'>\n";
while (my $ligne = <XML2>) {
	unless ($ligne =~ /^\s*(<\?xml|<results>|<status>|<language>|<\/results>)/) {
		$DUMP .= $ligne;
	}
}
close(XML2);

$DUMP .= "</methode>\n</resultats>";

# Ecriture des résultats
open (OUT, ">:encoding(UTF-8)", "decodage-entites-general.xml") || die ("Impossible d'écrire le fichier de sortie : $!\n");

print OUT $DUMP;
close(OUT);

exit;