<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:output method="html"/>
<xsl:template match="/">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="Content-Language" content="Francais" />
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>Projet BàO - Web Services - Extraction des entités nommées</title>
	<style type="text/css">
<!--debut de la feuille de style-->
body {
font-family: "Calibri", Arial, Verdana, serif;
width: 100%;
}

h1 {
text-align: center;
font-size: 1.6em;
font-variant: small-caps ;
color: #900505 ; 
}

h2 {
font-size: 1.2em;
color: #336699; 
text-indent : 10px;
}

.c2 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
}

.c1 {
font-size: 14px;
color: #303030; 
text-indent : 10px;
font-weight : bold;
font-style: italic;
}

th {
background-color: #EBECED;
}

#page {
background-color:#F9F9F9;
width: 100%;
height: 100%;
padding: 15px;
}

#titre {
margin: auto;
padding-top: 10px;
padding-bottom: 40px;
width: 70%;
height:30px;
background-image: -moz-linear-gradient(top, #EBECED, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#EBECED), to(#F9F9F9));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#EBECED,endColorstr=#F9F9F9)";
-moz-border-radius: 5px;
}

#tableau {
width: 100%; 
margin-top: 20px; 
margin-bottom: 20px;
padding-bottom: 20px;
line-height: 1.5em ;
border-collapse: collapse;
}

td {
	vertical-align: top;
	width: 50%;
	text-align: center;	
}

.mot {
font-size: 14px;
color: #336699; 
}

.nb {
font-size: 14px;
color: #336633;
}

.type {
font-size: 14px;
color: #900505;
font-weight: bold;
margin-left: 5px;
margin-right: 5px;
}

.cointab {
border:1px solid #B0C4DE;
background-color:#E4EFFF;
-moz-border-radius:10px;
-webkit-border-radius:10px;
}

.flou{
background-color: #ccc;
margin-left: 4px;
margin-top: 4px;
float:left;
}
 
.ombre{
position: relative;
bottom: 2px;
right: 2px;
background-color: #666;
}

.gradient2 {
background-image: -moz-linear-gradient(top, #B9B9B9, #F9F9F9);
background-image: -webkit-gradient(linear, left top, left bottom, from(#aaa), to(#ddd));
filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd);
-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr=#aaaaaa,endColorstr=#dddddd)";
}
<!--fin de la feuille de style-->
</style>
	</head>

<div id="page">
<body>
	<div id="titre">
	<div class="gradient">
	<h1>Projet BàO - Web Services - Extraction des entités nommées</h1>
	</div></div>
	
	<div id="tableau">
	<table align="center" width="95%" bordercolor="#B8D1BE">
	<tr bgcolor="#EBECED">
	<th><span class="c2">Méthode </span><span class="type">API Alchemy</span></th>
	<th><span class="c2">Méthode </span><span class="type">"à la main avec Wikipédia"</span></th>
	</tr>
	<tr>
	<xsl:apply-templates select="./resultats/methode"/>
	</tr>
	</table>
	</div>
</body>
</div>
</html>
</xsl:template>

<xsl:template match="methode">
<td>
<xsl:for-each select="entities/entity">
	<span class="mot"><xsl:value-of select="text"/></span> [ <span class="type"><xsl:value-of select="type"/></span> ] ( <span class="nb"><xsl:value-of select="count"/></span> )<br />
</xsl:for-each>
</td>
</xsl:template>

</xsl:stylesheet>